FontUIResource (Java SE 25 & JDK 25)
Description: declaration: module: java.desktop, package: javax.swing.plaf, class: FontUIResource
Keywords: javax.swing.plaf.FontUIResource class

# Class FontUIResource

java.lang.Object
java.awt.Font
javax.swing.plaf.FontUIResource

All Implemented Interfaces:
  `Serializable, UIResource`

public class FontUIResource extends Font implements UIResource
A subclass of java.awt.Font that implements UIResource. UI classes which set default font properties should use this class.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `UIResource`

- ## Field Summary

  ### Fields declared in class Font

  `BOLD, CENTER_BASELINE, DIALOG, DIALOG_INPUT, HANGING_BASELINE, ITALIC, LAYOUT_LEFT_TO_RIGHT, LAYOUT_NO_LIMIT_CONTEXT, LAYOUT_NO_START_CONTEXT, LAYOUT_RIGHT_TO_LEFT, MONOSPACED, name, PLAIN, pointSize, ROMAN_BASELINE, SANS_SERIF, SERIF, size, style, TRUETYPE_FONT, TYPE1_FONT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontUIResource(Font font)`
  Constructs a `FontUIResource`.
  `FontUIResource(String name, int style, int size)`
  Constructs a `FontUIResource`.

- ## Method Summary

  ### Methods declared in class Font

  `canDisplay, canDisplay, canDisplayUpTo, canDisplayUpTo, canDisplayUpTo, createFont, createFont, createFonts, createFonts, createGlyphVector, createGlyphVector, createGlyphVector, createGlyphVector, decode, deriveFont, deriveFont, deriveFont, deriveFont, deriveFont, deriveFont, equals, getAttributes, getAvailableAttributes, getBaselineFor, getFamily, getFamily, getFont, getFont, getFont, getFontName, getFontName, getItalicAngle, getLineMetrics, getLineMetrics, getLineMetrics, getLineMetrics, getMaxCharBounds, getMissingGlyphCode, getName, getNumGlyphs, getPSName, getSize, getSize2D, getStringBounds, getStringBounds, getStringBounds, getStringBounds, getStyle, getTransform, hashCode, hasLayoutAttributes, hasUniformLineMetrics, isBold, isItalic, isPlain, isTransformed, layoutGlyphVector, textRequiresLayout, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FontUIResource

    public FontUIResource(String name, int style, int size)
    Constructs a `FontUIResource`.
    Parameters:
      `name` - the font name
      `style` - the style constant for the font
      `size` - the point size of the font

  - ### FontUIResource

    public FontUIResource(Font font)
    Constructs a `FontUIResource`.
    Parameters:
      `font` - the font